PUT /api/v3/account/{accountId}/list/bill/moveBills

Moves the bills from the given Account's Bill List to the specified destination Account and Meters. Each source Meter will be matched with a corresponding destination Meter based on commodity. <param name="accountId"> Account for the Bill List containing a list of bills that should be moved. All bills from this Account's Bill List will be moved. </param><param name="dto"> DTO containing the destination Account Id, the destination AcountMeter Ids, a flag indicating whether the Account GL information should be updated, a flag indicating whether the Meter GL information should be updated, and a flag indicating whether linked emissions record scope and GHG factors should be updated. WARNING: If emissions record scope categories and GHG factors are updated, any notes and/or attachments on those emissions records will be lost. </param>

MoveBillsToAccountFromAccountListV3 Permissions: MoveExistingBills (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
accountId integer (int32) Required

Request Body

BillActionMoveList
Property Description Type
accountId Destination Account Id Required (defined) integer (int32)
accountMeterIds Destination AccountMeter Ids Required (defined) integer[]
updateAccountGLs Use Account General Ledger from destination account? Required (defined) boolean
updateMeterGLs Use Meter General Ledger from destination meter? Required (defined) boolean
updateRecordScopeAndFactor If both the source and destination meter is linked to an emissions source and there are records generated from the bills being moved, update the scope category and GHG factor on those records to the destination meter defaults? Defaults to true for GHG Lite users, otherwise false. Required (defined) boolean
Example Request Body application/json
{  "accountId": 1,  "accountMeterIds": [
    1
  ],  "updateAccountGLs": false,  "updateMeterGLs": false,  "updateRecordScopeAndFactor": false
}

Responses

204 No Content The request succeeded. No content is returned in the response body.